const fs = require('fs');
const path = require('path');

exports.fixtures = {
  get: function (fixtureName) {
    try {
      let fixtureContent = fs.readFileSync(
        path.join(__dirname, `${fixtureName}.json`)
      );
      let fixture = JSON.parse(fixtureContent);
      return fixture;
    } catch (e) {
      console.error('Fixture not found', fixtureName);
      return null;
    }
  },
};
